=== debian/changelog ===
rspamd (3.14.3-1) unstable; urgency=medium

  * New upstream version 3.14.3
  * d/control:
    + Remove fonts-glyphicons-halflings dependency (Closes: #1088531)
    + Bump Standards-Version to 4.7.3

 -- Jerome Lebleu <jerome@maroufle.fr>  Sun, 25 Jan 2026 17:21:23 +0100
