=== debian/control ===
Source: rspamd
Section: mail
Maintainer: Sebastien Badia <sbadia@debian.org>
Uploaders: Mikhail Gusarov <dottedmag@debian.org>,
           Jerome Lebleu <jerome@maroufle.fr>,
           Sergio Durigan Junior <sergiodj@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doctest-dev,
               libarchive-dev,
               libglib2.0-dev,
               libhyperscan-dev [amd64 i386] | libvectorscan-dev [arm64],
               libicu-dev,
               libjemalloc-dev,
               libluajit-5.1-dev,
               libpcre2-dev,
               libsodium-dev,
               libsqlite3-dev,
               libssl-dev,
               libxxhash-dev,
               libzstd-dev,
               ninja-build,
               publicsuffix,
               ragel,
               zlib1g-dev
Standards-Version: 4.7.3
Homepage: https://rspamd.com
Vcs-Git: https://salsa.debian.org/debian/rspamd.git
Vcs-Browser: https://salsa.debian.org/debian/rspamd

Package: rspamd
# LuaJIT is currently the only way to provide the FFI library which is used by
# several internel modules. In the meantime, architectures for which LuaJIT is
# unavailable are removed to not provide an unstable package. Note that s390x,
# loong64 and powerpc are removed due to unexpected test results - see #1104755.
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel riscv64
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         ca-certificates,
         libjs-bootstrap5,
         libjs-jquery,
         libjs-requirejs,
         publicsuffix,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: valkey-server | redis-server
Description: Rapid spam filtering system
 Rspamd is a rapid, modular and lightweight spam filter. It is designed to work
 with big amount of mail and can be easily extended with own filters written in
 Lua.
