=== debian/watch ===
Version: 5
Template: Github
Owner: rspamd
Project: rspamd
